HomeDocumentationAPI ReferenceChangelog
Platform OverviewDemoContactImprintLog In
API Reference

Create payment transaction

Create a new payment transaction on this merchant payment account.

Path Params
string
required

Merchant payment account ident.

Body Params

A payment transaction describes a financial transaction that happened on a payment account.

baseAmount
object
required

Monetary amount with currency.

array | null

List of batch items that will be updated

date-time
required

The date of the account transaction. ISO 8601 date time format.
When no offset is provided (e.g. 2021-03-19T13:34:01), UTC is automatically used.
Must not be null.

The date of a creation of a payment. ISO 8601 date time format.
When no offset is provided (e.g. 2021-03-19T13:34:01), UTC is automatically used.

string
required

Indicates if value is debit or credit.
One of:

DEBIT
CREDIT
string | null

Is an optional customer specific ident, that can be used to identify this payment transaction.
Size must be less than or equal to 255.

number | null

Exchange rate used to calculate original and base amounts.

  • Exchange rate must be provided when the original currency is different from the base currency.
  • The rate should fulfill following calculation: originalAmount / exchangeRate = baseAmount, with an error margin of 0.01.
  • Exchange rate value needs to be expressed with max 12 decimals. E.g.: 4.543210987654.
  • If an original amount is not provided in a request, special 'self' exchange rate is automatically created with a value of 1.000000000000.
string
required
length between 1 and 255
^\S(.*\S)?$

External reference that needs to be unique within a payment account. Generally it is provided
by a Payment Service Provider or a bank. Cannot be amended after the initial POST.
Must not be null.
Size must be between 1 and 255.
Must match the regular expression ^\S(.*\S)?$.

array | null

Any fees imposed on this payment.

Ident | null

Unique identifier of a payment transaction, autogenerated by Nitrobox if omitted.

Amount | null

The original amount, that was transferred to this account before converting it to the accounts base currency.
Represented in the original currency of a transaction.
In case original currency is different than the base currency, an exchange rate must also be provided,
otherwise the payment transaction will be rejected. When original amount is not provided in a request, payment is
created with original amount equal to the base amount.

string
required
length between 1 and 255
^\S(.*\S)?$

Name of a payment category that this payment is classified to.
Must be one of the categories defined in Nitrobox, otherwise the payment will be rejected.
Category selection have an influence on how the payment is processed further.
Must not be null.
Size must be between 1 and 255.
Must match the regular expression ^\S(.*\S)?$.

array | null

Key-Value-Pairs of properties of a settlement - i.e. 'GVC':'166'

string | null

The recipient of the payment transfer.
Size must be less than or equal to 255.

string | null

The sender of the payment transfer.
Size must be less than or equal to 255.

string
required

Status of a payment transaction.
One of:

RECEIVED
ERROR
REFUSED
AUTHORIZED
EXPIRED
CANCELLED
CAPTURED
CAPTURE_FAILED
SETTLED
REFUNDED
CHARGEBACK
string | null

Any additional information about a payment like purpose, description, payment title, etc.
This is often used for matching the payment to a document.
Size must be less than or equal to 1400.

date-time
required

The date on which the account transaction takes effect. ISO 8601 date time format.
When no offset is provided (e.g. 2021-03-19T13:34:01), UTC is automatically used.
Must not be null.

Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Choose an example:
application/json